#include <stdio.h>
#include <string.h>

const long MAX_COMB = 34;
long comb[MAX_COMB][MAX_COMB];

int main()
{	
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	comb[0][0] = 1;
	long c, d;
	for(c = 1; c < MAX_COMB; ++c)
	{
		comb[c][0] = 1;
		comb[c][c] = 1;
		for(d = 1; d < c; ++d)
			comb[c][d] = comb[c - 1][d - 1] + comb[c - 1][d];
	}

	long iTest;
	for(iTest = 0; ; ++iTest)
	{
		long cDisks, cPegs;
		scanf("%ld %ld", &cDisks, &cPegs);
		if(! cDisks && ! cPegs)break;
		long cMoves = 0, k, twoInK;
		for(k = 0, twoInK = 1; cDisks; ++k, twoInK *= 2)
		{
			long cMaxDisks = comb[cPegs - 3 + k][k];
			if(cMaxDisks > cDisks)cMaxDisks = cDisks;
			cMoves += cMaxDisks * twoInK;
			cDisks -= cMaxDisks;
		}
		printf("Case %ld: %ld\n", iTest + 1, cMoves);
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif
	return 0;
}
